OpenTTD Source: RoadStopAnimationBase Struct Reference

OpenTTD Source 15.3

Static Public Attributes
RoadStopAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for RoadStopAnimationBase:

## Static Public Attributes
static constexpr CallbackID | cb_animation_speed = CBID_STATION_ANIMATION_SPEED
static constexpr CallbackID | cb_animation_next_frame = CBID_STATION_ANIMATION_NEXT_FRAME
static constexpr RoadStopCallbackMask | cbm_animation_speed = RoadStopCallbackMask::AnimationSpeed
static constexpr RoadStopCallbackMask | cbm_animation_next_frame = RoadStopCallbackMask::AnimationNextFrame

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< RoadStopAnimationBase, RoadStopSpec, BaseStation, int, GetAnimRoadStopCallback, RoadStopAnimationFrameAnimationHelper >
static void | AnimateTile (const RoadStopSpec *spec, BaseStation *obj, TileIndex tile, bool random_animation, int extra_data=0)
| Animate a single tile.
static void | ChangeAnimationFrame (CallbackID cb, const RoadStopSpec *spec, BaseStation *obj, TileIndex tile, uint32_t random_bits, uint32_t trigger, int extra_data=0)
| Check a callback to determine what the next animation step is and execute that step.

## Detailed Description

Helper class for animation control.

Definition at line 365 of file newgrf_roadstop.cpp.

## Field Documentation

## ◆ cb_animation_next_frame

constexpr CallbackID RoadStopAnimationBase::cb_animation_next_frame = CBID_STATION_ANIMATION_NEXT_FRAME
| staticconstexpr

Definition at line 367 of file newgrf_roadstop.cpp.

## ◆ cb_animation_speed

constexpr CallbackID RoadStopAnimationBase::cb_animation_speed = CBID_STATION_ANIMATION_SPEED
| staticconstexpr

Definition at line 366 of file newgrf_roadstop.cpp.

## ◆ cbm_animation_next_frame

constexpr RoadStopCallbackMask RoadStopAnimationBase::cbm_animation_next_frame = RoadStopCallbackMask::AnimationNextFrame
| staticconstexpr

Definition at line 370 of file newgrf_roadstop.cpp.

## ◆ cbm_animation_speed

constexpr RoadStopCallbackMask RoadStopAnimationBase::cbm_animation_speed = RoadStopCallbackMask::AnimationSpeed
| staticconstexpr

Definition at line 369 of file newgrf_roadstop.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_roadstop.cpp